Package: org.apache.groovy.groovysh

## [Groovy] Class CommandException

- org.apache.groovy.groovysh.CommandException

-     @CompileStatic
      class CommandException
      extends Exception

  Thrown to indicate a problem with command execution.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandException(Command command, String msg)`
    `CommandException(Command command, String msg, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Command` | `getCommand()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CommandException(Command command, String msg)

    - #### CommandException(Command command, String msg, Throwable cause)

  - ### Method Detail

    - #### Command getCommand()